Subject: bug#61396: diff mode could distinguish changed from deleted lines

From: Stefan Monnier <[email-masked]>
Date: Thu, 14 Sep 2023 21:34:19 -0400

> - Like Samuel mentioned, attenuate the indicators' column. Except instead of
>   inverse video just apply the refine faces? See
>   diff-refine-indicators.png. Looks good to me color-wise, though the change
>  in the indication method is somewhat an inconsistency.

I think I like that.  But I'm not sure how to adapt this to my case
where I "prettify" the indicators into the fringe.

Maybe a related idea would be to use the diff-refine-added/removed face
on the line-end: the reduced contrast is not a problem there since
there's no text.  But it's not always visible (for long enough lines).

I suspect we'll have to provide various alternatives and see which
ones stick.

        Stefan